pcl::Intensity Struct Reference
Module common

A point structure representing the grayscale intensity in single-channel images. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::Intensity:

## Public Member Functions

| Intensity (const _Intensity &p)
| Intensity (float _intensity=0.f)

## Friends

std::ostream & | operator<< (std::ostream &os, const Intensity &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_Intensity
| PCL_ADD_INTENSITY

## Detailed Description

A point structure representing the grayscale intensity in single-channel images.

Intensity is represented as a float value.

Definition at line 419 of file point_types.hpp.

## Constructor & Destructor Documentation

## Intensity() [1/2]

pcl::Intensity::Intensity | ( | const _Intensity & | p | ) |

inline

Definition at line 421 of file point_types.hpp.

## Intensity() [2/2]

pcl::Intensity::Intensity | ( | float | _intensity = `0.f` | ) |

inline

Definition at line 426 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Intensity & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp